QGIS Application - Bug report #6800
PostGIS provider layer loses ability to add/delete columns
2012-11-30 03:52 PM - Larry Shaffer

Status: Closed

Priority: High

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15948
Description

When adding a PostGIS provider layer via the Layers menu/toolbar action, the Browser, or DB Manager, and the layer's table originates in
the 'public' schema, the datasource for the layer shows no schema qualification prior to the table name (e.g. "mytable" instead of

"public"."mytable"). This appears to be currently fixed in master branch (all datasource have schema qualifications).

However, when opening a 1.8 project with master branch those layers without qualifying schemas load, but do not allow editing/deleting
of attribute columns, while it was allowed in 1.8. Editing the project file and adding the schema qualification returns the functionality of
adding/deleting columns. So, this is a regression.

I made a quick patch to assume 'public' schema for all datasource without one, but it is probably NOT the appropriate fix. Issues with that
might be databases whose search_path doesn't contain 'public’, or where schemas are not used at all, for portability reasons.

Associated revisions

Revision 1dc75f35 - 2012-12-03 11:09 AM - Jiirgen Fischer

fix #6800 (introduced with 0dc01f5ff)

History

#1 - 2012-11-30 03:58 PM - Larry Shaffer

Video of issue, provided by Salvatore Larosa:

http:/Irssvt.ns0.it/img/180vsmaster_Postgres.ogv (5 MB)

#2 - 2012-12-03 12:28 AM - Marco Hugentobler
- Assignee set to Jurgen Fischer

#3 - 2012-12-03 02:08 AM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1dc75f35614cd0c39bc801ee39073db0ead5823f".

Files

postgres-public_patch.diff 626 Bytes 2012-11-30 Larry Shaffer
http://www.postgresql.org/docs/9.2/static/ddl-schemas.html
http://lrssvt.ns0.it/img/180vsmaster_Postgres.ogv

